Skip to main content
GET
JavaScript

Authorizations

Authorization
string
header
required

An Account API key, account-scoped JWT, App API key, or user OAuth token. Prepend the key or token with Bearer, for example Bearer ***************************.

Query Parameters

after
string | null

Returns the elements in the list that come after the specified cursor.

before
string | null

Returns the elements in the list that come before the specified cursor.

first
integer | null

Returns the first n elements from the list.

Example:

42

last
integer | null

Returns the last n elements from the list.

Example:

42

payment_id
string | null

Filter shipments to only those associated with this specific payment.

Example:

"pay_xxxxxxxxxxxxxx"

company_id
string | null

Filter shipments to only those belonging to this company.

Example:

"biz_xxxxxxxxxxxxxx"

user_id
string | null

Filter shipments to only those for this specific user.

Example:

"user_xxxxxxxxxxxxx"

Response

A successful response

The connection type for Shipment.

data
object[]
required

A list of nodes.

page_info
object
required

Information to aid in pagination.